import request from '@/config/axios'

// 效验是否有权限参加招聘会
export const getCheckJobFairPermission = async (id) => {
  return await request.get({
    url: '/app-api/menduner/system/recruit/job-fair/check/permission?jobFairId=' + id
  })
}

// 获得招聘会列表
export const getJobFairList = async () => {
  return await request.get({
    url: '/app-api/menduner/system/recruit/job-fair/list'
  })
}

// 查找招聘会
export const getJobFair = async (id) => {
  return await request.get({
    url: '/app-api/menduner/system/recruit/job-fair/get?id=' + id
  })
}

// 保存招聘职位扩展信息
export const saveJobAdvertisedExtend = async (data) => {
  return await request.post({
    url: '/app-api/menduner/system/recruit/job-advertised/save/extend',
    openEncryption: true,
    data
  })
}

// 获取招聘职位扩展信息
export const getJobAdvertisedExtend = async (jobId) => {
  return await request.get({
    url: '/app-api/menduner/system/recruit/job-advertised/get/extend?jobId=' + jobId
  })
}

// 根据招聘会id获取加入的职位列表
export const getJobFairPosition = async (id) => {
  return await request.get({
    url: '/app-api/menduner/system/recruit/job-fair/get/by/job-fair?id=' + id
  })
}

// 企业将职位移除招聘会
export const quitJobFairPosition = async (data) => {
  return await request.post({
    url: '/app-api/menduner/system/recruit/job-fair/quit',
    data
  })
}

// 企业将职位加入招聘会
export const joinJobFairPosition = async (data) => {
  return await request.post({
    url: '/app-api/menduner/system/recruit/job-fair/join',
    data
  })
}

//实习申请简历列表
export const getResumeList = async (data) => {
  return await request.post({
    url: '/app-api/flames/pracice/submit/record/list',
    data
  })
}

// 企业拒绝实习申请
export const resumeCancel = async (data) => {
  return await request.post({
    url: '/app-api/flames/pracice/submit/record/enterprise/cancel',
    data
  })
}

// 企业同意实习申请
export const resumeAccept = async (data) => {
  return await request.post({
    url: '/app-api/flames/pracice/submit/record/enterprise/accept',
    data
  })
}

// 邀请面试
export const resumeInterview = async (data) => {
  return await request.post({
    url: '/app-api/flames/pracice/submit/record/student/interview',
    data
  })
}

// 修改入职时间
export const updateJoinDate = async (data) => {
  return await request.post({
    url: '/app-api/flames/pracice/submit/record/update',
    data
  })
}