import { createApp } from 'vue'
import entUpdatePassword from './components/entUpdatePassword.vue'
import vuetify from '@/plugins/vuetify'

const toastMessage = (type, options)  => {
  const componentName = type === 'entUpdatePassword' ? entUpdatePassword : null

  const rootNode = document.createElement("div")
  document.querySelector('.v-application').appendChild(rootNode)
  const app = createApp(componentName, options)
  app.use(vuetify)
  app.mount(rootNode)
  const { timeout } = options || {}
  if ((timeout - 0)) {
    setTimeout(() => {
      app.unmount()
      rootNode.remove()
    }, (timeout-0))
  }
}

// 注册插件app.use()会自动执行install函数
toastMessage.install = (app) => {
  app.config.globalProperties.Curtain = toastMessage
}

export default toastMessage
