import { defineStore } from 'pinia'
import { ref } from 'vue'

export const useSystem = defineStore('system', 
  () => {
    const breadcrumbs = ref([])

    const setBreadcrumbs = (matched, fullPath) => {
      const _fullPath = fullPath.split('/')
      const arr = matched.map((item, index) => {
        // 重组路径
        if (item.path === matched[index - 1]?.path) return false
        const text = item.meta.title
        const _path = item.path.split('/')
        const obj = {
          text,
          to: _path.map((e, i) => _fullPath[i]).join('/')
        }
        return obj
      }).filter(e => e) || []
      if (arr?.length) {
        arr[arr.length - 1].disabled = true
        arr[arr.length - 1].link = true
      }
      breadcrumbs.value =  arr
    }
    return {
      setBreadcrumbs,
      breadcrumbs
    }
  }
)