import { defineStore } from 'pinia'
import { getWebContent } from '@/api/common'

export const webContentStore = defineStore('webContent',
  {
    state: () => ({
      loginBgUrl: '' // 登录页背景图
    }),
    actions: {
      async getSystemWebContent () {
        try {
          const data = await getWebContent()
          this.loginBgUrl = data.pcLoginBackground && data.pcLoginBackground.length ? data.pcLoginBackground[0].img : 'https://minio.menduner.com/dev/menduner/login-bgc.jpg'
        } catch (error) {
          console.log(error)
        }
      }
    }
  },
  {
    persist: true,
    devtools: true
  }
)

